For the complete documentation index, see llms.txt. This page is also available as Markdown.

Settings

Get a setting by object identifier.

get

Retrieves a setting using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableOptional
resourceTypeIdentifierstring · uuid · nullableOptional
isYesboolean · nullableOptional
decimalValuenumber · double · nullableOptional
textstring · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
orderNumberinteger · int32Optional
singleCategoryIdentifierstring · uuid · nullableOptional
hasImagebooleanOptional
get/settings/{objectIdentifier}
GET /settings/{objectIdentifier} HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "description": "text",
  "dataType": "text",
  "resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isYes": true,
  "decimalValue": 1,
  "text": "text",
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "isDirectory": true,
  "orderNumber": 1,
  "singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "singleCategory": {
    "label": "text",
    "value": "text"
  },
  "options": [
    {
      "label": "text",
      "value": "text"
    }
  ],
  "categories": [
    {
      "label": "text",
      "value": "text"
    }
  ],
  "hasImage": true
}

Get image for image-type setting.

get

Retrieves the image file for a setting that has Image data type.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Responses
200

OK

No content

get/settings/{objectIdentifier}/image
GET /settings/{objectIdentifier}/image HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Upload image for image-type setting.

post

Uploads an image file for a setting that has Image data type. Creates org-specific override.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Body
imageFilestring · binaryOptional
Responses
200

OK

No content

post/settings/{objectIdentifier}/image
POST /settings/{objectIdentifier}/image HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 22

{
  "imageFile": "binary"
}

No content

Delete organization-specific image for image-type setting.

delete

Deletes the organization-specific image, falling back to template image if available.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Responses
200

OK

No content

delete/settings/{objectIdentifier}/image
DELETE /settings/{objectIdentifier}/image HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Get a user (non-admin) setting by object identifier.

get

Retrieves a setting using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableOptional
resourceTypeIdentifierstring · uuid · nullableOptional
isYesboolean · nullableOptional
decimalValuenumber · double · nullableOptional
textstring · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
orderNumberinteger · int32Optional
singleCategoryIdentifierstring · uuid · nullableOptional
hasImagebooleanOptional
get/settings/user-settings/{objectIdentifier}
GET /settings/user-settings/{objectIdentifier} HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "description": "text",
  "dataType": "text",
  "resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isYes": true,
  "decimalValue": 1,
  "text": "text",
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "isDirectory": true,
  "orderNumber": 1,
  "singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "singleCategory": {
    "label": "text",
    "value": "text"
  },
  "options": [
    {
      "label": "text",
      "value": "text"
    }
  ],
  "categories": [
    {
      "label": "text",
      "value": "text"
    }
  ],
  "hasImage": true
}

Get all settings for the organization.

get

Retrieves a paginated list of all settings for the current organization.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Query parameters
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
parentObjectIdentifierstring · uuidOptional
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableOptional
resourceTypeIdentifierstring · uuid · nullableOptional
isYesboolean · nullableOptional
decimalValuenumber · double · nullableOptional
textstring · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
orderNumberinteger · int32Optional
singleCategoryIdentifierstring · uuid · nullableOptional
hasImagebooleanOptional
get/settings
GET /settings HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "description": "text",
    "dataType": "text",
    "resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "isYes": true,
    "decimalValue": 1,
    "text": "text",
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "dateAdded": "2026-01-01T00:00:00.000Z",
    "isDirectory": true,
    "orderNumber": 1,
    "singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "singleCategory": {
      "label": "text",
      "value": "text"
    },
    "options": [
      {
        "label": "text",
        "value": "text"
      }
    ],
    "categories": [
      {
        "label": "text",
        "value": "text"
      }
    ],
    "hasImage": true
  }
]

Get settings by object identifiers.

get

Retrieves settings by a list of object identifiers.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Query parameters
settingIdentifiersstring · uuid[]Optional
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableOptional
resourceTypeIdentifierstring · uuid · nullableOptional
isYesboolean · nullableOptional
decimalValuenumber · double · nullableOptional
textstring · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
orderNumberinteger · int32Optional
singleCategoryIdentifierstring · uuid · nullableOptional
hasImagebooleanOptional
get/settings/setting-identifiers
GET /settings/setting-identifiers HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "description": "text",
    "dataType": "text",
    "resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "isYes": true,
    "decimalValue": 1,
    "text": "text",
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "dateAdded": "2026-01-01T00:00:00.000Z",
    "isDirectory": true,
    "orderNumber": 1,
    "singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "singleCategory": {
      "label": "text",
      "value": "text"
    },
    "options": [
      {
        "label": "text",
        "value": "text"
      }
    ],
    "categories": [
      {
        "label": "text",
        "value": "text"
      }
    ],
    "hasImage": true
  }
]

Update a setting by object identifier.

patch

Updates a setting by its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
settingObjectIdentifierstring · uuidRequired
Body
isYesboolean · nullableOptional
decimalValuenumber · double · nullableOptional
textstring · nullableOptional
datestring · date-time · nullableOptional
singleCategoryIdentifierstring · uuid · nullableOptional
categoriesstring · uuid[] · nullableOptional
organizationMetadataIdentifierstring · uuidOptional
Responses
200

OK

namestring · nullableRequired
descriptionstring · nullableRequired
dataTypestring · nullableOptional
resourceTypeIdentifierstring · uuid · nullableOptional
isYesboolean · nullableOptional
decimalValuenumber · double · nullableOptional
textstring · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
isDirectorybooleanOptional
orderNumberinteger · int32Optional
singleCategoryIdentifierstring · uuid · nullableOptional
hasImagebooleanOptional
patch/settings/{settingObjectIdentifier}
PATCH /settings/{settingObjectIdentifier} HTTP/1.1
Host: settings.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 271

{
  "isYes": true,
  "decimalValue": 1,
  "text": "text",
  "date": "2026-01-01T00:00:00.000Z",
  "singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "categories": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "organizationMetadataIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "name": "text",
  "description": "text",
  "dataType": "text",
  "resourceTypeIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "isYes": true,
  "decimalValue": 1,
  "text": "text",
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "isDirectory": true,
  "orderNumber": 1,
  "singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "singleCategory": {
    "label": "text",
    "value": "text"
  },
  "options": [
    {
      "label": "text",
      "value": "text"
    }
  ],
  "categories": [
    {
      "label": "text",
      "value": "text"
    }
  ],
  "hasImage": true
}

Last updated